/**
 * Pedestrian: Grandma!
 * @moduleName Granny
 */
bento.define('entities/pedestrians/granny', [
    'bento',
    'bento/math/vector2',
    'bento/math/rectangle',
    'bento/components/sprite',
    'bento/components/clickable',
    'bento/entity',
    'bento/eventsystem',
    'bento/gui/clickbutton',
    'bento/gui/counter',
    'modules/text',
    'bento/utils',
    'bento/tween',
    'entities/pedestrian'
], function (
    Bento,
    Vector2,
    Rectangle,
    Sprite,
    Clickable,
    Entity,
    EventSystem,
    ClickButton,
    Counter,
    Text,
    Utils,
    Tween,
    Pedestrian
) {
    'use strict';
    return function (settings) {
        var granny = new Pedestrian({
            type: 'granny',
            position: settings.position,
            walkSpeed: 0.2,
            maxFlee: 2.4,
            startFlee: 0.1
        });

        return granny;
    };
});