/**
 * Pedestrian: Paperguy
 * @moduleName PaperGuy
 */
bento.define('entities/pedestrians/paperguy', [
    'bento',
    'bento/math/vector2',
    'bento/math/rectangle',
    'bento/components/sprite',
    'bento/components/clickable',
    'bento/entity',
    'bento/eventsystem',
    'bento/gui/clickbutton',
    'bento/gui/counter',
    'modules/text',
    'bento/utils',
    'bento/tween',
    'entities/pedestrian'
], function (
    Bento,
    Vector2,
    Rectangle,
    Sprite,
    Clickable,
    Entity,
    EventSystem,
    ClickButton,
    Counter,
    Text,
    Utils,
    Tween,
    Pedestrian
) {
    'use strict';
    return function (settings) {
        var paperGuy = new Pedestrian({
            type: 'paperguy',
            position: settings.position,
            fleeSpeed: 0.1,
            maxFlee: 4,
            startFlee: 0.3
        });

        return paperGuy;
    };
});